/*
 * @Author: wenjie 1454560336@qq.com
 * @Date: 2024-09-18 10:57:18
 * @LastEditors: wenjie 1454560336@qq.com
 * @LastEditTime: 2024-09-20 09:35:10
 * @FilePath: \admin-manage\src\api\luckyDraw.js
 * @Description: 
 * 
 * Copyright (c) 2024 by ${git_name_email}, All Rights Reserved. 
 */
import {request} from '@/utils/request.js'

  
// 抽奖详情
export function getLuckyDrawDetail(data) {
    return request({
      url: '/zswl-cloud-shop/raffleInfo/detail',
      method: 'get',
      data
    })
  }

// 抽奖规则
export function luckyDrawRule(data) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/rule',
    method: 'get',
    data
  })
}

// 中奖数据
export function prizeList(data) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/prizeList',
    method: 'get',
    data
  })
}

// 抽奖
export function prize(data) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/prize',
    method: 'post',
    data
  })
}

// 视频会员发放
export function sendVipPrize(data) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/vip',
    method: 'post',
    data
  })
}

// 邮寄信息填写
export function notes(data) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/notes',
    method: 'post',
    data
  })
}

// 抽奖次数
export function remainder(data) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/remainder',
    data
  })
}


